<?php 
session_start() ;
include("config.inc.php") ;
mysql_select_db($db) ;

mysql_query("SET character_set_results=tis620");
mysql_query("SET character_set_client=''tis620''");
mysql_query("SET character_set_connection=''tis620''");
mysql_query("collation_connection = tis620_thai_ci");
mysql_query("collation_database = tis620_thai_ci");
mysql_query("collation_server = tis620_thai_ci");
 
@mysql_select_db($db) or die( "Unable to select database");
mysql_db_query($db,"SET NAMES tis620");// 

// ตรวจสอบ กรณีที่เรียกหน้านี้ขึ้นมาเลยโดยที่กรอกข้อมูลไม่ครบ
if($name=="" || $province=="" || $user_name=="" || $pwd_name1=="" || $email=="") {
echo "<meta http-equiv='refresh' content='0; url=signup.php'>" ;
exit() ;
}
// ถ้ากรอกอีเมล์ไม่ถูกต้อง
if(!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)$",$email)){
echo "<br><br><center><font size='3' face='MS Sans Serif'><b>กรุณากรอกอีเมล์ให้ถูกต้องด้วยครับ</b></font>" ;
echo "<br><br><input type='button' value='edit your email' onclick='history.back();'></center>" ;
exit() ;
}

if((isset($ok)) and ($ok!="ok_pass")) {
echo "<meta http-equiv='refresh' content='0; url=signup.php'>" ;
exit() ;
}

$signup = date("j/n/").(date("Y")+543) ;

$name = htmlspecialchars($name) ;
$address = htmlspecialchars($address) ;
$zipcode = htmlspecialchars($zipcode) ;
$phone = htmlspecialchars($phone) ;

// ตรวจสอบว่ามีชื่อ user นี้ใช้ไปหรือยัง
$sql = "select user from member where user='$user_name'" ;
$result = mysql_query($sql) ;
$numrow = mysql_num_rows($result) ;
if($numrow!=0) {
echo "<br><br><center><font size='3' face='MS Sans Serif'>ขอโทษด้วยครับ user $user_name นี้ ได้มีผู้ใช้ไปแล้วครับ กรุณาเปลี่ยนชื่อ Login ใหม่" ;
echo "<br><br><input type='button' value='back to edit' onclick='history.back();'></center>" ;
exit() ;
}

// ถ้ายังไม่มีผู้ใช้ชื่อ user นี้

$sql = "select * from member order by id desc" ;
$result = mysql_query($sql) ;
$num_result  = mysql_num_rows($result) ;
$dbarr = mysql_fetch_row($result) ;
$member_db = $dbarr[0]+1 ; // นำค่า id มาเพิ่มให้กับค่ารหัสสมาชิกครั้งละ1

if($member_db>=100) {
$member_in = "0$member_db" ;
}
else {
if($member_db >=10) {
$member_in = "00$member_db" ;
}
else {
$member_in = "000$member_db" ;
}
}



$member_id = "$yourcode$member_in" ; // รหัสสมาชิกเช่น ip0001
$result = mysql_query("insert into member (member_id,name,date,month,year,age,sex,address,amper,province,zipcode,phone,education,work,user,password,email,signup,member_level)
                                                  values('$member_id','$name','$date','$month','$year','$age','$sex','$address','$amper','$province','$zipcode','$phone','$education','$work','$user_name','$pwd_name1','$email','$signup',0)")  or die("Err Database");
												  
												  
if($result) {
$login_true = $user_name ;
session_register("login_true") ;
echo "<center><font size=\"3\" face='MS Sans Serif'><b>ขอบคุณมากครับ สำหรับการลงทะเบียนเป็นสมาชิก</b></font></center>" ;
sendmail_welcome($member_id ,$name, $user_name , $pwd_name1 , $email ,$home) ;  // ส่งเมล์หาลูกค้า เรียกฟังค์ชั่นให้ทำงาน
echo "<meta http-equiv='refresh' content='4; url=member_detail.php'>" ;
}


?>

<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-874">
</head>

<body>

</body>
</html>
